Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057027 - Realm command hangs on joining sometimes
Summary: Realm command hangs on joining sometimes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: realmd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Stef Walter
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 11:09 UTC by Nikolai Kondrashov
Modified: 2015-07-14 18:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 18:37:52 UTC


Attachments (Terms of Use)
coredumps.tar.xz (deleted)
2014-01-23 11:09 UTC, Nikolai Kondrashov
no flags Details
coredumps2.tar.xz (deleted)
2014-01-29 13:38 UTC, Nikolai Kondrashov
no flags Details

Description Nikolai Kondrashov 2014-01-23 11:09:08 UTC
Created attachment 854307 [details]
coredumps.tar.xz

Description of problem:
Realm command sometimes hangs on joining a Windows 2012 AD realm.

Version-Release number of selected component (if applicable):
realmd-0.14.6-5.el7.x86_64

How reproducible:
At most once in 10 runs.

Steps to Reproduce:
Attempt to join a Windows 2012 AD realm with command like "realm join -U Administrator example.com"

Actual results:
The command doesn't finish in at least 40 minutes.

Expected results:
The command finishes within one minute.

Additional info:
Attached are coredumps of "realm" and "realmd" from the above-mentioned package, taken with gdb when the "realm" tool was hanging. The "realm" and "realmd" are running in a VM and the AD controller, that should be contacted for joining, is running in another VM on the same host. The "realm" tool in this state outputs "Cancelling..." upon SIGINT and terminates. Following joining attempts work normally.

Comment 3 Stef Walter 2014-01-29 09:06:40 UTC
Could you attach verbose join output (ie: add the --verbose argument to the command line)?

Comment 4 Nikolai Kondrashov 2014-01-29 13:38:31 UTC
Created attachment 857067 [details]
coredumps2.tar.xz

The coredumps2.tar.xz contains coredumps taken with gdb of "realm" and "realmd" hanging. The output of this "realm" invocation with "--verbose" was:

---:<---
 * Resolving: _ldap._tcp.example.com
 * Performing LDAP DSE lookup on: 192.168.122.2
 * Successfully discovered: example.com
Password for Administrator:
--->:---

Comment 5 RHEL Product and Program Management 2014-03-22 06:09:47 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 RHEL Product and Program Management 2015-07-14 18:37:52 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.